This thread is locked.Only browsing is available.
Top Page > Browsing
error installation openMx version 3.6
Date: 2015/12/18 12:57
Name: Moh. Adhib Ulil Abso   <adib@ugm.ac.id>

Dear all,

I have some problem with installation of openmx version 3.6.

When installations is performed, I found this error message:

=============================================================================================
/opt/soft/tools/openmpi-1.6.5/lib/libmpi.a(dlopen.o): In function `vm_open':
/home/install/compile/openmpi-1.6.5/opal/libltdl/loaders/dlopen.c:194: warning: Using 'dlopen' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
/opt/soft/tools/openmpi-1.6.5/lib/libmpi.a(plm_base_rsh_support.o): In function `setup_shell':
/home/install/compile/openmpi-1.6.5/orte/mca/plm/base/plm_base_rsh_support.c:640: warning: Using 'getpwuid' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
/opt/torque/lib/libtorque.a(net_common.o): In function `pbs_getaddrinfo(char const*, addrinfo*, addrinfo**)':
/tmp/torque-4.2.6/src/lib/Libpbs/../Libnet/net_common.c:977: warning: Using 'getaddrinfo' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
/usr/lib/gcc/x86_64-redhat-linux/4.4.7/../../../../lib64/libpthread.a(libpthread.o): In function `sem_open':
(.text+0x774d): warning: the use of `mktemp' is dangerous, better use `mkstemp'
/opt/soft/tools/openmpi-1.6.5/lib/libmpi.a(nidmap.o): In function `orte_util_build_daemon_nidmap':
/home/install/compile/openmpi-1.6.5/orte/util/nidmap.c:267: warning: Using 'gethostbyname' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
/usr/bin/ld: dynamic STT_GNU_IFUNC symbol `strcmp' with pointer equality in `/usr/lib/gcc/x86_64-redhat-linux/4.4.7/../../../../lib64/libc.a(strcmp.o)' can not be used when making an executable; recompile with -fPIE and relink with -pie
collect2: ld returned 1 exit status
make: *** [openmx] Error 1
==========================================================================================

In This installation, I used this spesifications:

===========================================================

CC = mpicc -openmp -O3 -I/opt/soft/libs/fftw-3.3.4/include -I/opt/soft/tools/openmpi-1.6.5/include
LIB = -L/opt/soft/libs/fftw-3.3.4/lib -lfftw3 -L/opt/soft/libs/atlas-3.10.1/lib -llapack -lcblas -L/opt/soft/tools/openmpi-1.6.5/lib -statis

======================================================================

Please, if anybody can help me to solve this problem.

For your information, below is my machine environment.


===========================================================================

LIBRARY_PATH=/opt/soft/libs/atlas-3.10.1/lib:/opt/soft/libs/blas-1.0/lib:/opt/soft/libs/lapack-3.5.0/lib:/opt/soft/libs/fftw-3.3.4/lib
ATLAS=/opt/soft/libs/atlas-3.10.1/lib/libatlas.a
LD_LIBRARY_PATH=/opt/soft/tools/python-2.7.6/lib:/opt/soft/tools/openmpi-1.6.5/lib
CPATH=/opt/soft/libs/fftw-3.3.4/include
FFTW3_INC=/opt/soft/libs/fftw-3.3.4/include
MPI_LIB=/opt/soft/tools/openmpi-1.6.5/lib
PATH=/opt/soft/libs/atlas-3.10.1/include:/opt/soft/tools/python-2.7.6/bin:/opt/torque/bin:/opt/maui/bin:/opt/soft/tools/openmpi-1.6.5/bin:/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/install/bin
BLAS=/opt/soft/libs/atlas-3.10.1/lib/libcblas.a
LAPACK=/opt/soft/libs/atlas-3.10.1/lib/liblapack.a
MPI_BIN=/opt/soft/tools/openmpi-1.6.5/bin
MPI_INC=/opt/soft/tools/openmpi-1.6.5/include
_LMFILES_=/opt/soft/tools/modulefiles/openmpi/1.6.5:/opt/soft/libs/modulefiles/fftw/3.3.4:/opt/soft/libs/modulefiles/lapack/3.5.0:/opt/soft/libs/modulefiles/blas/1.0:/opt/soft/libs/modulefiles/atlas/3.10.1
LOADEDMODULES=openmpi/1.6.5:fftw/3.3.4:lapack/3.5.0:blas/1.0:atlas/3.10.1
MPI_SYSCONFIG=/opt/soft/tools/openmpi-1.6.5/etc
FFTW3_LIB=/opt/soft/libs/fftw-3.3.4/lib
FFTW3_BIN=/opt/soft/libs/fftw-3.3.4/bin
LAPACK_LIBS=/opt/soft/libs/atlas-3.10.1/lib/liblapack.a
BLAS_LIBS=/opt/soft/libs/atlas-3.10.1/lib/libcblas.a
MPI_HOME=/opt/soft/tools/openmpi-1.6.5
MPI_FORTRAN_MOD_DIR=/opt/soft/tools/openmpi-1.6.5/lib
FFTW3_DIR=/opt/soft/libs/fftw-3.3.4

==============================================================================

Regards,


Moh. Adhib Ulil Absor

Gadjah Mada University, Indonesia


e
Page: [1]